Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231972 - status update is slow
Summary: status update is slow
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 12:16 UTC by cje
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version: 0.5.9-0.git20070326
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 18:42:20 UTC


Attachments (Terms of Use)

Description cje 2007-03-13 12:16:39 UTC
Description of problem:
when i unplug the laptop (from AC power) it takes a little while for the system
status to change.  (the screen dims, the power icon changes and there's a notify
message).  i'm sure it used to be instant - isn't it event driven?  is this a
tickless kernel side-effect?  who can say?!

Version-Release number of selected component (if applicable):
2.17.92

How reproducible:
always

Steps to Reproduce:
1. remove AC power
2. wait
3.
  
Actual results:
there's a delay

Expected results:
instant response

Additional info:
this is on a toshiba portege P2000 (several years old)

Comment 1 Richard Hughes 2007-03-13 12:29:10 UTC
do you get events from "lshal -m" immediatly?

Comment 2 cje 2007-03-13 13:21:04 UTC
ah.  no.  i get a set of battery stats reported in lshal every 30secs and the
ac_adapter and battery.rechargeable messages arrive with that lot.

so does that mean this is a problem with HAL rather than with g-p-m?

Comment 3 Richard Hughes 2007-03-13 14:19:51 UTC
Yes. I think it's fixed in the latest HAL git master, but I'm unable to build
packages as make distclean is broken.

Comment 4 cje 2007-03-13 14:51:03 UTC
okay.  i've changed the component accordingly.  feel free to change it back if i
shouldn't have done so.  big thanks for the quick and helpful responses :-)

Comment 5 Richard Hughes 2007-03-13 21:47:47 UTC
I've committed a fix to HAL master:

http://lists.freedesktop.org/archives/hal-commit/2007-March/003123.html

This should be in rawhide in the next couple of days.


Comment 6 cje 2007-03-27 18:42:20 UTC
all working in hal-0.5.9-0.git20070326.fc7

many thanks.    :-)


Note You need to log in before you can comment on or make changes to this bug.